=== debian/changelog ===
ocaml-luv (0.5.10-2build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jan 2022 15:18:51 +0100

ocaml-luv (0.5.10-2) unstable; urgency=medium

  * Install *_stubs.a files for non-ocamlopt arches as well.

 -- Andy Li <andy@onthewings.net>  Sat, 27 Nov 2021 13:41:50 +0800

ocaml-luv (0.5.10-1) unstable; urgency=medium

  * New upstream release.
    + Drop system_libuv.patch, which was applied upstream.
    + Update a dependency version in d/control.
    + Update d/copyright.
  * Add libluv-unix-ocaml* packages for luv_unix.
  * Bump Standards-Version to 4.6.0.1 (no changes).

 -- Andy Li <andy@onthewings.net>  Mon, 01 Nov 2021 11:24:23 +0800

ocaml-luv (0.5.6-1) unstable; urgency=medium

  * Initial release. (Closes: #982668)

 -- Andy Li <andy@onthewings.net>  Sat, 13 Feb 2021 14:45:04 +0800
