=== debian/tests/control ===
Tests: helloworld
Depends: ocaml-nox, ocaml-dune, @
