## ocaml-luv 0.5.12

=== Makefile ===
--- 
+++ 
@@ -93,8 +93,8 @@
 
 .PHONY : upgrade-libuv
 upgrade-libuv :
-	(cd src/c/vendor/libuv && git fetch)
-	(cd src/c/vendor/libuv && git checkout `$(LATEST_TAG)`)
+	# (cd src/c/vendor/libuv && git fetch)
+	# (cd src/c/vendor/libuv && git checkout `$(LATEST_TAG)`)
 	make clean
 	make eject-build
 	ocaml src/gen/headers.ml
@@ -199,8 +199,10 @@
 	cp -r docs/_build/* $(DOCS)
 	cd $(DOCS) && mv _static static
 	cd $(DOCS) && mv _sources sources
+	cd $(DOCS) && mv _odoc_support odoc_support
 	cd $(DOCS) && ls *.html | xargs -L1 sed -i 's#_static/#static/#g'
 	cd $(DOCS) && ls *.html | xargs -L1 sed -i 's#_sources/#sources/#g'
+	cd $(DOCS) && find -name '*.html' | xargs -L1 sed -i 's#_odoc_support/#odoc_support/#g'
 	cd $(DOCS) && git add -A && git commit --amend --no-edit --reset-author
 
 .PHONY : publish-docs
@@ -229,7 +231,7 @@
 	(cd _release && tar xf $(RELEASE).tar.gz)
 	opam pin add -y --no-action luv _release/$(RELEASE) --kind=path
 	opam reinstall -y --verbose luv
-	cd test/installation && dune exec ./user.exe
+	cd test/installation && dune exec ./user.exe --root .
 	opam remove -y luv
 	opam pin remove -y luv
 	md5sum $(RELEASE).tar.gz
