=== debian/changelog ===
ocaml-luv (0.5.12-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:18:22 +0000

ocaml-luv (0.5.12-2build2) noble; urgency=medium

  * No-change rebuild for libuv t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 16:53:46 +0100

ocaml-luv (0.5.12-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 17:18:03 +0100

ocaml-luv (0.5.12-2) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Use ocaml_dune DH buildsystem

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Set upstream metadata fields: Repository.

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 07:12:51 +0200

ocaml-luv (0.5.12-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2 (no changes).
  * Update d/watch.

 -- Andy Li <andy@onthewings.net>  Sun, 23 Jul 2023 13:01:56 +0000

ocaml-luv (0.5.10-3) unstable; urgency=medium

  * Team upload
  * Fix build with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Sun, 16 Jul 2023 08:23:09 +0200
