=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: ocaml-luv
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Andy Li <andy@onthewings.net>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox,
+ ocaml,
  ocaml-dune (>= 2.0.0),
  libctypes-ocaml-dev (>= 0.14.0),
  libresult-ocaml-dev,
  libuv1-dev (>= 1.40.0),
- dh-ocaml
-Standards-Version: 4.6.0.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-luv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-luv.git
