=== debian/changelog ===
ocaml-luv (0.5.14-2build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 06 Nov 2025 08:56:45 +0100

ocaml-luv (0.5.14-2build1) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 09:18:58 +0200

ocaml-luv (0.5.14-2) unstable; urgency=medium

  * Rebuild against ocaml 5.3.0 and libuv1 1.50.0 (Closes: #1092570)

 -- Andy Li <andy@onthewings.net>  Fri, 07 Feb 2025 03:40:44 +0000

ocaml-luv (0.5.14-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release (Closes: #1073023, #1081124)

  [ Julien Puydt ]
  * Bump standards-version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Jan 2025 14:09:32 +0100
