=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ocaml-luv
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Andy Li <andy@onthewings.net>
 Build-Depends:
@@ -13,7 +12,7 @@
  libresult-ocaml-dev,
  libuv1-dev (>= 1.40.0),
  dh-ocaml (>= 1.2)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-luv
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-luv.git
