=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/ocaml/ocamlvars.mk

export LUV_USE_SYSTEM_LIBUV=yes

%:
	dh $@ --with ocaml --buildsystem ocaml_dune

override_dh_auto_test:
# Tests are broken somehow
